import { ChallengeBase } from '../challenge/base.js';
export interface IBriefingSample {
    img: string;
    description: string;
    link: string;
}
export interface IBriefingData {
    id: string;
    samples: IBriefingSample[];
    instruction?: string;
    title?: string;
    nextChallengeButton?: string | Boolean;
    icon?: {
        getDomNode(): HTMLElement;
    };
}
export declare class Briefing extends ChallengeBase {
    data?: IBriefingData;
    start(): void;
    dispose(): void;
}
